

.header {
    position: relative;
    width: 100%;
    height: 64px;
    margin-bottom: 32px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 16px;
    z-index: 1;
}

.header > h1 {
    font-size: 24px;
    font-weight: 700;
    line-height: 1.2em;
}

.header > button {
    height: 24px;
    padding: 0 8px;
    border-radius: 8px;
    border: 1px solid rgba(190, 193, 213, 1);
    font-size: 12px;
    font-weight: 500;
    color: rgba(78, 75, 102, 1);

    display: flex;
    gap: 7px;
    justify-content: center;
    align-items: center;
}

.commitButton {
    position: absolute;
    right: 0;
}

.commitSection {
    position: absolute;
    width: 366px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    right: 0;
    top: 40px;
    background: rgba(254, 254, 254, 1);
    padding: 8px;
    border-radius: 16px;
}

.commitSection:hover {
    cursor: default;
}

.commitHeader {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 48px;
    padding: 0 8px 0 16px;
}

.commitHeader > span {
    font-size: 16px;
    font-weight: 700;
    color: rgba(20, 20, 43, 1);
}

.commitHeader > button {
    padding: 0 8px;
    height: 32px;
    font-size: 14px;
    font-weight: 700;
    color: rgba(110, 113, 145, 1)

}

.commitBody {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 50px;
    max-height: 500px;
    overflow-y: scroll;
}

.commitCard {
    font-size: 14px;
    padding: 16px;
    border-bottom: 1px solid rgba(190, 193, 213, 0.5);
    gap: 8px;
    font-weight: 500;
    color: rgba(110, 113, 145, 1);
    display: flex;
    flex-direction: column;
}

.commitCard strong {
    color: rgba(78, 75, 102, 1)
}

.commitCard:last-child {
    border-bottom: none;
}

.commitCard time {
    font-size: 12px;
    font-weight: 500;
    color: rgba(160, 163, 189, 1)
}

.commitFooter {
    display: flex;
    justify-content: flex-end;
}

.commitFooter > button {
    font-size: 14px;
    color: rgba(255, 59, 48, 1);
    font-weight: 700;
    height: 32px;
    padding: 0 8px;
}